CVE-2016-10749

NameCVE-2016-10749
Descriptionparse_string in cJSON.c in cJSON before 2016-10-02 has a buffer over-read, as demonstrated by a string that begins with a " character and ends with a \ character.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cjson (PTS)bullseye1.7.14-1fixed
bookworm1.7.15-1+deb12u1fixed
sid, trixie1.7.18-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cjsonsource(unstable)(not affected)

Notes

- cjson <not-affected> (Fixed before initial upload to Debian)
https://github.com/DaveGamble/cJSON/issues/30
https://www.openwall.com/lists/oss-security/2016/11/07/2
https://github.com/DaveGamble/cJSON/commit/94df772485c92866ca417d92137747b2e3b0a917

Search for package or bug name: Reporting problems